package com.kingdee.eas.custom.recuritment.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class RecruitLeaderSyncFacadeFactory
{
    private RecruitLeaderSyncFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("F2150343") ,com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade.class);
    }
    
    public static com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("F2150343") ,com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("F2150343"));
    }
    public static com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.recuritment.task.IRecruitLeaderSyncFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("F2150343"));
    }
}